using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.DisciplineDb
{
    /// <inheritdoc />
    public partial class updatetabledisciplinecomadddna1 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "CommandCode",
                table: "DisciplineReport_Profiles",
                type: "longtext",
                nullable: true,
                comment: "ประเภทออกคำสั่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "CommandCode",
                table: "DisciplineDisciplinary_ProfileComplaintInvestigates",
                type: "longtext",
                nullable: true,
                comment: "ประเภทออกคำสั่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "CommandDiscardCode",
                table: "DisciplineDisciplinary_ProfileComplaintInvestigates",
                type: "longtext",
                nullable: true,
                comment: "ประเภทออกคำสั่งงดโทด")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CommandCode",
                table: "DisciplineReport_Profiles");

            migrationBuilder.DropColumn(
                name: "CommandCode",
                table: "DisciplineDisciplinary_ProfileComplaintInvestigates");

            migrationBuilder.DropColumn(
                name: "CommandDiscardCode",
                table: "DisciplineDisciplinary_ProfileComplaintInvestigates");
        }
    }
}
